[slicer-users] cmake and SVN in windows

sebastian ordas sebastian.ordas at gmail.com
Wed Apr 7 11:07:17 EDT 2010


thank you!

but I would like to put some more efforts in the manual build, instead
of the complete build with the provided scripts and cygwin

after commenting the FIND_PACKAGE(Subversion) as follows; I could then
build and install the complete toolkit without errors

# Get SVN info
# FIND_PACKAGE(Subversion)
# IF(NOT Subversion_FOUND)
#   MESSAGE(FATAL_ERROR "error: Install SVN and try to re-configure")
# ENDIF(NOT Subversion_FOUND)

# Case where Slicer is checkout using SVN
#IF (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.svn)
#  Subversion_WC_INFO(${CMAKE_CURRENT_SOURCE_DIR} Slicer3)
#  CONFIGURE_FILE(
#    ${CMAKE_CURRENT_SOURCE_DIR}/Slicer3Version.txt.in
#    ${Slicer3_HOME}/lib/Slicer3/Slicer3Version.txt
#    )
#ENDIF()

# and added:
CONFIGURE_FILE(
    ${CMAKE_CURRENT_SOURCE_DIR}/Slicer3Version.txt.in
    ${Slicer3_HOME}/lib/Slicer3/Slicer3Version.txt
    )

my CMAKE setup (none configuration/build errors) is:
Slicer3_USE_KWWIDGETS OFF
Slicer3_USE_PYTHON OFF
Slicer3_USE_PYTHONQT OFF
Slicer3_USE_QT ON
Slicer3_WITH_LIBRARY_VERSION ON

(in Advanced mode)
MRML_USE_Teem ON
MRML_USE_vtkTeem ON

so, if I run SlicerQT.exe the application launches but none of the
menu commands work (e.g. File->AddData)

I noticed from the logged output (how to retrieve the complete output
log?) that a module called
"qSlicerTractographyFiducialSeedingModule.dll" could not be leaded
all the rest, apparently, load fine

any hint on how to proceed? my QT version is 4.6.2

thank you
sebastian

On Mon, Apr 5, 2010 at 12:22 PM, Steve Pieper <pieper at bwh.harvard.edu> wrote:
> Hi Sebastien -
>
> You probably need to install svn via cygwin:
>
> http://www.slicer.org/slicerWiki/index.php/Slicer3:Build_Instructions_Windows#Installing_Cygwin
>
> Best,
> Steve
>
> On Apr/5/10 10:37 AM, sebastian ordas wrote:
>>
>> Hello List;
>>
>> my first manual build of Slicer3
>>
>> my setup:
>> winXP, CMake 2.8.0, Slicer3 svn, VTK cvs, ITK 3.6
>> teem svn, cmcurl from NAMIC Slicer3 lib mirrors
>>
>> all libraries compile fine as shared libs
>>
>> I would like to build with QT only (Qt 4.6.2)
>>
>> my first error message is that SVN is not found "error: Install SVN
>> and try to re-configure"
>> how to install SVN? I use smart SVN client in windows
>>
>> here愀 the cmake code in question
>>
>> # Get SVN info
>> FIND_PACKAGE(Subversion)
>> IF(NOT Subversion_FOUND)
>>   MESSAGE(FATAL_ERROR "error: Install SVN and try to re-configure")
>> ENDIF(NOT Subversion_FOUND)
>>
>> # Case where Slicer is checkout using SVN
>> IF (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.svn)
>>   Subversion_WC_INFO(${CMAKE_CURRENT_SOURCE_DIR} Slicer3)
>>   CONFIGURE_FILE(
>>     ${CMAKE_CURRENT_SOURCE_DIR}/Slicer3Version.txt.in
>>     ${Slicer3_HOME}/lib/Slicer3/Slicer3Version.txt
>>     )
>> ENDIF()
>>
>> thanks
>> sebastian
>> _______________________________________________
>> slicer-users mailing list
>> slicer-users at bwh.harvard.edu
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>> To unsubscribe: send email to
>> slicer-users-request at massmail.spl.harvard.edu with unsubscribe as the
>> subject
>



More information about the slicer-users mailing list